Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
serial::AnalogModem Interface Reference

Interface for communication with an analog modem attached to a serial port. More...

`import"AnalogModem.idl";`

## Classes
struct | Settings

## Public Member Functions
Settings | getSettings ()
| Get modem settings. More...
int | setSettings (in Settings settings)
| Set modem settings. More...

## Public Attributes
constant int | SUCCESS = 0
| Error codes. More...
constant int | ERR_INVALID_VALUE = 1
| Invalid argument.
valueobject | DialInEvent: idl::Event { string number
| Dial-in event. More...
valueobject | CallReceivedEvent: DialInEvent { }
| An event that's emitted when a dial-in call was answered.
valueobject | CallEndedEvent: DialInEvent { boolean disconnectedRemotely
| An event that's emitted when a dial-in call was hung up. More...

## Detailed Description

Interface for communication with an analog modem attached to a serial port.

## Member Function Documentation

## ◆ getSettings()

Settings serial::AnalogModem::getSettings | ( |  | ) |

Get modem settings.

Returns
  – Current modem settings

## ◆ setSettings()

int serial::AnalogModem::setSettings | ( | in Settings | settings | ) |

Set modem settings.

Parameters

  settings | – New settings

Returns
  SUCCESS – on success
  ERR_INVALID_VALUE – if any passed value was invalid

## Member Data Documentation

## ◆ CallEndedEvent

valueobject serial::AnalogModem::CallEndedEvent

An event that's emitted when a dial-in call was hung up.

If true, the call was disconnected by the caller If false, the call was disconnected locally, e.g. due to a connection failure

## ◆ DialInEvent

valueobject serial::AnalogModem::DialInEvent

Dial-in event.

The caller's phone number

## ◆ SUCCESS

constant int serial::AnalogModem::SUCCESS = 0

Error codes.

No error

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/AnalogModem.idl